%  rain1.m
% Matlab file for Part 1 of the Raindrops module

disp('********************************************')
disp('Part 1:  Background:  Falling Bodies')
disp('********************************************')
disp('  ')    

    format short

    disp('The differential equation for the velocity')
    disp('of a falling body, neglecting air resistance,')
    disp('is   dv/dt = g,   where g=32.2 ft/s^2.') 
    disp(' ')
    g=32.2
    disp(' ')
    disp('We want to draw the slope field for this')
    disp('differential equation and then place')
    disp('a solution curve on the plot.')
    disp(' ')
   
    disp('In order to draw the slope (direction),')
    disp('field for a differential equation,')
    disp('you must first define a MATLAB function')
    disp('giving the right hand side of the')
    disp('differential equation in an m-file')
    disp('called dfun.m.')
    disp(' ')
    disp('------------------------------------------')  
    disp('An example dfun.m file is included')
    disp('with the files provided with this')
    disp('module.  The original is set up for')
    disp('the differential equation')
    disp('   dv/dt = 32.2 ')
    disp(' ')
    disp('You can list the dfun.m file while in')
    disp('MATLAB by entering ''''type dfun''''. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('------------------------------------------')
    disp('The MATLAB function:')
    disp('    slpfield(tmin,tmax,vmin,vmax) ')
    disp('for plotting slope fields is contained')
    disp('in a m-file provided with this module.')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('     slpfield(0,3,0,60) ')
    disp('     hold on')
    disp(' ')
    disp('Note: the ''hold on'' command saves the plot')
    disp('so we can add other curves to it.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('-------------------------------------------')
    disp('We add a solution curve by solving the')
    disp('differential equation under the specified')
    disp('initial condition and then plotting the')
    disp('solution on top of the slope field.')
    disp(' ')
    disp('Write down the solution of the initial')
    disp('value problem:')
    disp('   dv/dt = 32.2 ')
    disp('as a MATLAB comment in your diary file.')
    disp(' ')

    disp('Graph your analytic solution for v(t)')
    disp('on top of the slope field.')
    disp(' Use the t range:  t=0:0.1:3 ')
    disp(' In the plot use: axis([0,3,0,60]) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('The D.E. for the position s(t) is just')
    disp('  ds/dt = v(t), ')
    disp('where v(t) is your solution for velocity.')
    disp(' ')
    disp('Make a new graph showing the slope field ')
    disp('for the ds/dt = v(t) differential equ.')
    disp('   (Remember you have to change the ')
    disp('    dfun.m file before you can use the')
    disp('    slpfield(0,3,0,150)    command.')
    disp(' ')
    disp('    To clear the old plot, type: clf ')
    disp('    To hold your new plot, type: hold on.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Write down (as a MATLAB comment in your')
    disp('diary file) the solution of the initial')
    disp('value problem:')
    disp('   ds/dt = 32.2 t ')
    disp('Use an appropriate initial condition.')
    disp(' ')

    disp('Graph your analytic solution for s(t)')
    disp('on top of the slope field.')
    disp(' Use the t range:  t=0:0.1:3 ')
    disp(' In the plot use: axis([0,3,0,150]) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Enter your calculations and answer the')
    disp('questions in the module (as MATLAB comments')
    disp('in your diary file) for the case of a ')
    disp('raindrop falling from 3000 feet. ')
    disp(' ')
    disp('When the questions are answered, to go on')
    disp(' to part 2 of this module, type: rain2')
    disp(' ')